User Avatar Image

A plea for help

posted by aZyPa on - last edited - Viewed by 427 users
My 2nd gen iPod doesnt let me buy games that I can't play but when I'm loading a new day it crashes and puts me onto my home screen can anyone help me I would appreciate it soooo much
4 Comments - Linear Discussion: Classic Style
  • aZyPa;749098 said:
    My 2nd gen iPod doesnt let me buy games that I can't play but when I'm loading a new day it crashes and puts me onto my home screen can anyone help me I would appreciate it soooo much
    You have to atleast have a 4g touch for it to work
  • How come it let me download it then
  • aZyPa;749155 said:
    How come it let me download it then
    Because apple put it up as must have ios 4.3 and ipod iphone and ipod touch then they found out they fucked up and in the descrip they say only works on 4g ipods and iphones and 2g ipads
  • User Avatar Image
    DjNDB Moderator
    Actually iPods are not recommended at all for TWD. If you're lucky this works:
    MattP;715190 said:
    Unfortunately we do not support iPod devices for the Walking Dead. You may be able to get the game to run by shutting down all other applications that are running in the background, but you may still experience issues.
This discussion has been closed.